diff --git a/scripts/chroot.sh b/scripts/chroot.sh
index c2a10ca352ec6e3b9260b49e25c8b1edf4778239..2c3f740aec96dbc2c36e60977e6c7296188c8abb 100755
--- a/scripts/chroot.sh
+++ b/scripts/chroot.sh
@@ -571,6 +571,9 @@ cat > ${DIR}/chroot_script.sh <<-__EOF__
 		groupadd -r admin || true
 		groupadd -r spi || true
 
+		cat /etc/group | grep ^i2c || groupadd -r i2c || true
+		cat /etc/group | grep ^netdev || groupadd -r netdev || true
+
 		echo "KERNEL==\"spidev*\", GROUP=\"spi\", MODE=\"0660\"" > /etc/udev/rules.d/50-spi.rules
 
 		default_groups="admin,adm,dialout,i2c,spi,cdrom,floppy,audio,dip,video,netdev,plugdev,users"